### Method

# GObject TypePlugin complete_type_info

#### Declaration

    void
    g_type_plugin_complete_type_info (
      GTypePlugin* plugin,
      GType g_type,
      GTypeInfo* info,
      GTypeValueTable* value_table
    )

#### Description

Calls the `complete_type_info` function from the `GTypePluginClass` of `plugin`. There should be no need to use this function outside of the GObject type system itself.

#### Parameters

`g_type`

  Type: `GType`

  The `GType` whose info is completed.

`info`

  Type: `GTypeInfo`

  The `GTypeInfo` struct to fill in.

  The data is owned by the caller of the method.

`value_table`

  Type: `GTypeValueTable`

  The `GTypeValueTable` to fill in.

  The data is owned by the caller of the method.